<template>
  <!-- 新增编辑 -->
  <a-modal
    style="min-width: 900px; height: calc(100% - 45px)"
    width="900px"
    :maskClosable="false"
    :visible="props.visible"
    :confirm-loading="loading"
    :forceRender="true"
    title="纯文本内容"
    :body-style="{ paddingBottom: '8px', height: 'calc(100% - 110px)', overflowY: 'auto' }"
    @update:visible="updateVisible"
    @ok="save"
    class="common-modal"
    @close="updateVisible(false)"
  >
    <a-textarea v-model:value="props.form.content" placeholder="请输入" style="width: 100%; height: 100%;" />
  </a-modal>
</template>

<script setup name="FormPureTextContent">
import { ref, onMounted } from 'vue';

const props = defineProps({
  visible: Boolean,
  form: Object
});

const emits = defineEmits(['update:visible']);
// 弹框加载
const loading = ref(false);

onMounted(() => {});

// 更改弹框状态
const updateVisible = value => {
  emits('update:visible', value);
};

// 点击保存
const save = () => {
  updateVisible(false);
};
</script>

<style lang="less" scoped>
.wh100 {
  width: 100%;
  height: 100%;
}
:deep(.full-screen) {
  display: none;
}
</style>
